TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.ChannelInfo Class Reference

An object of this class represents the configuration and optionally statistical data about the multicast channel. More...

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
string | Name`[get]`
| The channel's name. More...
string | Address`[get]`
| The channel's multicast address. More...
string | Interface`[get]`
| The channel's multicast interface. More...
int | Ttl`[get]`
| The channel's multicast time-to-live. More...
int | Priority`[get]`
| The channel's multicast priority. More...
long | MaxRate`[get]`
| The channel's maximum transmission rate. More...
long | MaxTime`[get]`
| The channel's maximum window size for retransmissions. More...
bool | Active`[get]`
| Indicates whether or not the channel is active. More...
long | BacklogCount`[get]`
| The channel's message backlog count. This is the number of messages buffered in the server waiting to be sent on the channel. More...
long | BacklogSize`[get]`
| The channel's message backlog size. This is the number of bytes buffered in the server waiting to be sent on the channel. More...
long | TransmittedBytes`[get]`
| The number of bytes sent by this channel. This number does not include any retransmissions. More...
long | RetransmittedBytes`[get]`
| The number of bytes sent in retransmissions by this channel. More...
long | BufferedBytes`[get]`
| The number of bytes buffered for retransmission by this channel. More...
StatData | Statistics`[get]`
| Returns cumulative statistics for all destinations on the channel. More...
DetailedDestStat[] | DetailedStatistics`[get]`
| Returns detailed statistics for all destinations being sent on the channel. More...

## Detailed Description

An object of this class represents the configuration and optionally statistical data about the multicast channel.

When this object is received via the method Admin.getChannel() it does not contain statistical information about the channel. Only objects returned by the method Admin.GetChannelStatistics() return ChannelInfo objects that include statistical data.

Deprecated:
  As of release 8.3

## Member Function Documentation

override string TIBCO.EMS.ADMIN.ChannelInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

bool TIBCO.EMS.ADMIN.ChannelInfo.Active
| get

Indicates whether or not the channel is active.

Returns
  true if this channel is active and false if this channel is defined in the server configuration but is not active.

Deprecated:
  As of release 8.3

string TIBCO.EMS.ADMIN.ChannelInfo.Address
| get

The channel's multicast address.

Returns
  the channel's multicast address.

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ChannelInfo.BacklogCount
| get

The channel's message backlog count. This is the number of messages buffered in the server waiting to be sent on the channel.

Returns
  the channel's message backlog count.

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ChannelInfo.BacklogSize
| get

The channel's message backlog size. This is the number of bytes buffered in the server waiting to be sent on the channel.

Returns
  the channel's message backlog size.

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ChannelInfo.BufferedBytes
| get

The number of bytes buffered for retransmission by this channel.

Returns
  the number of bytes buffered for retransmission by this channel.

Deprecated:
  As of release 8.3

DetailedDestStat [] TIBCO.EMS.ADMIN.ChannelInfo.DetailedStatistics
| get

Returns detailed statistics for all destinations being sent on the channel.

Returns
  detailed statistics for all destinations being sent on the channel.

Deprecated:
  As of release 8.3

string TIBCO.EMS.ADMIN.ChannelInfo.Interface
| get

The channel's multicast interface.

Returns
  the channel's multicast interface.

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ChannelInfo.MaxRate
| get

The channel's maximum transmission rate.

Returns
  the channel's maximum transmission rate in bytes per second.

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ChannelInfo.MaxTime
| get

The channel's maximum window size for retransmissions.

Returns
  the channel's maximum window size for retransmissions in seconds.

Deprecated:
  As of release 8.3

string TIBCO.EMS.ADMIN.ChannelInfo.Name
| get

The channel's name.

Returns
  the channel's name.

Deprecated:
  As of release 8.3

int TIBCO.EMS.ADMIN.ChannelInfo.Priority
| get

The channel's multicast priority.

Returns
  the channel's multicast priorty.

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ChannelInfo.RetransmittedBytes
| get

The number of bytes sent in retransmissions by this channel.

Returns
  the number of bytes sent in retransmissions by this channel.

Deprecated:
  As of release 8.3

StatData TIBCO.EMS.ADMIN.ChannelInfo.Statistics
| get

Returns cumulative statistics for all destinations on the channel.

Returns
  cumulative statistics for all destinations on the channel,

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ChannelInfo.TransmittedBytes
| get

The number of bytes sent by this channel. This number does not include any retransmissions.

Returns
  the number of bytes sent by this channel.

Deprecated:
  As of release 8.3

int TIBCO.EMS.ADMIN.ChannelInfo.Ttl
| get

The channel's multicast time-to-live.

Returns
  the channel's multicast time-to-live.

Deprecated:
  As of release 8.3